package com.jay.monitor.data.server.daos;

import com.jay.monitor.data.server.models.entity.JayMonitorSql;
import com.jay.monitor.data.server.models.entity.JayMonitorSqlExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface JayMonitorSqlMapper {
    long countByExample(JayMonitorSqlExample example);

    int deleteByExample(JayMonitorSqlExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JayMonitorSql record);

    int insertSelective(JayMonitorSql record);

    List<JayMonitorSql> selectByExample(JayMonitorSqlExample example);

    JayMonitorSql selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JayMonitorSql record, @Param("example") JayMonitorSqlExample example);

    int updateByExample(@Param("record") JayMonitorSql record, @Param("example") JayMonitorSqlExample example);

    int updateByPrimaryKeySelective(JayMonitorSql record);

    int updateByPrimaryKey(JayMonitorSql record);
}